cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Koudritsky <kam...@google.com>
Subject Re: cordova-lib split out
Date Fri, 02 May 2014 19:33:06 GMT
On Fri, May 2, 2014 at 3:12 PM, Naik, Archana <naika@lab126.com> wrote:

> Thanks Mark for sending this out. I just noticed these changes as I need
> to fix something in amazon_fireos_parser.js. :)
>
> Question: re: code that does require('cordova/something') will break.
> Platform scripts use 'cordova/something' and I guess we will have to take
> care of those. Is this change going in 3.5.0?
>

Hi Archana,
Which platform scripts are you referring to?
At least the scripts in cordova-ios and cordova-android don't seem to
require() anything from within cordova. "cordova build" works ok for iOS
and Android.
All the code that lived in cordova-cli and cordova-plugman repos was
updated.

The only place where I saw this problem was in
cca<https://github.com/kamrik/mobile-chrome-apps> where
it does
var platforms = require('cordova/platforms')

This would need to be changed to
var cordova_lib = require('cordova-lib');
var platforms = cordova_lib.cordova_platforms;

Note that
cordova_lib.cordova_platforms
is a temporary shim, until we move to platforms list/object which will be
common to plugman and ex cordova-cli code.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message